Support » Installation » Header Bild & Überschriften werden nicht mehr angezeigt

  • Hallo zusammen,

    seit Sonntag werden die Headerbilder sowie ein paar Überschriften auf der Startseite im Live Modus nicht mehr angezeigt. Ich nutze Start und habe einige Error Logs gefunden, weiß jedoch nicht, ob es damit zusammen hängt bzw was ich genau machen muss:

    AH01215: PHP Warning: „continue“ targeting switch is equivalent to „break“. Did you mean to use „continue 2“? in /mnt/web416/a3/40/510177740/htdocs/WordPress_SecureMode_03/wp-content/themes/Divi/includes/builder/functions.php on line 5753: /home/strato/http/premium/rid/77/40/510177740/htdocs/WordPress_SecureMode_03/wp-cron.php

    Hier werden noch weitere Ordner zusätzlich tz wp-cron.php genannt.

    sowie

    AH02811: script not found or unable to stat: /home/strato/http/premium/rid/77/40/510177740/htdocs/WordPress_SecureMode_03/doc.php

    Ich weiß langsam nicht mehr, was ich noch machen soll…

    Danke vorab.

    Viele Grüße
    Janina

Ansicht von 5 Antworten - 1 bis 5 (von insgesamt 5)
  • Bei Fragen zu gekauften Themes (hier: Divi) können wir dir nicht weiterhelfen, weil sie uns für einen kostenlosen Support nicht kostenlos zur Verfügung stehen.

    Bitte wende dich bei Fragen zu diesem Theme an die Entwickler.

    Ist das eine aktuelle Version von Divi?
    Die Fehlermeldung AH01215: PHP Warning: „continue“ targeting switch is equivalent to „break“. Did you mean to use „continue 2“? … ist ein Hinweis, dass dein Theme einen PHP-Code verwendet, der in der aktuell auf deinem Server genutzten Version nicht mehr passt. Weil das irgendwann Probleme bereiten könnte, wirst du darauf aufmerksam gemacht.

    Um die Fehlermeldungen abzuschalten, kannst du in der wp-config.php mit einem geeigneten Code-Editor (z.B. VS Code, kostenlos für alle Betriebssysteme erhältlich) oberhalb von oberhalb von /* That's all, stop editing! Happy blogging. */ folgendes eintragen:

    define( 'WP_DEBUG', false );
    @ini_set( 'display_errors', 0 );

    Das ist dann allerdings reine Kosmetik und behebt nicht den Fehler, sondern blendet nur die Meldung aus.

    Wie @bscu bereits geschrieben hat, steht uns das Theme nicht zur Verfügng. Mehr kann ich dir dazu deshalb auch nicht sagen.

    Thread-Ersteller janiperya

    (@janiperya)

    Vielen Dank!

    Das ist bereits in meiner wp-config.php Datei vorhanden. Dies konnte ich aus anderen Foren herausfinden.

    Ich habe in meinem Admin Bereich von WordPress ebenfalls folgendes über das Plugin „PHP Compatibility Checker“ finden können:

    FILE: /mnt/web416/a3/40/510177740/htdocs/WordPress_SecureMode_03/wp-content/plugins/health-check/includes/class-health-check-debug-data.php
    -------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 1 ERROR AFFECTING 1 LINE
    -------------------------------------------------------------------------------------------------------------------------------------------
     766 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    -------------------------------------------------------------------------------------------------------------------------------------------
    
    FILE: /mnt/web416/a3/40/510177740/htdocs/WordPress_SecureMode_03/wp-content/plugins/health-check/includes/class-health-check-site-status.php
    --------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 2 ERRORS AFFECTING 2 LINES
    --------------------------------------------------------------------------------------------------------------------------------------------
       52 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
     1097 | ERROR | Extension 'mysql_' is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    --------------------------------------------------------------------------------------------------------------------------------------------

    Ich denke das hat nicht unbedingt mit Divi etwas zu tun…sondern der Kompatibilität des PHP und WordPress. Strato konnte mir nur sagen, dass ich auf die ältere Version 7.2 zurücksetzen soll. Wenn es dann nicht gehet, habe es nichts mit Start zu tun.

    Viele Grüße
    Janina

    • Diese Antwort wurde geändert vor 1 Monat, 2 Wochen von Hans-Gerd Gerhards. Grund: Bitte den Code immer als "Code" formatieren

    Hallo,

    Ich denke das hat nicht unbedingt mit Divi etwas zu tun…sondern der Kompatibilität des PHP und WordPress.

    Wie kommst du denn darauf? – dann hätte doch jeder das Problem.

    Wenn es dann nicht gehet, habe es nichts mit Start zu tun.

    Den Satz verstehe ich nicht. Was bitte ist „Start“?
    Aber noch mal der Hinweis: Der Ansprechpartner für das Problem dürften die Entwickler von Divi sein.
    Viele Grüße
    Hans-Gerd

    Wenn es dann nicht gehet, habe es nichts mit Start zu tun.

    soll wohl heißen „… dann habe es nichts mit Strato zu tun.“

    Wie auch immer, wir können das nicht reproduzieren, weil uns das Theme fehlt und die Fehlermeldung

    AH01215: PHP Warning: „continue“ targeting switch is equivalent to „break“. Did you mean to use „continue 2“? in /mnt/web416/a3/40/510177740/htdocs/WordPress_SecureMode_03/wp-content/themes/Divi/includes/builder/functions.php on line 5753: /home/strato/http/premium/rid/77/40/510177740/htdocs/WordPress_SecureMode_03/wp-cron.php

    bezieht sich nun mal ganz klar auf Divi.

    Thread geschlossen.

Ansicht von 5 Antworten - 1 bis 5 (von insgesamt 5)
  • Das Thema „Header Bild & Überschriften werden nicht mehr angezeigt“ ist für neue Antworten geschlossen.